.flex-cc {
  display: flex;
  justify-content: center;
  align-items: center;
}

input.input {
  width: 100%;
  height: 36px;
  padding: 0px 10px;
  box-shadow:
    rgba(0, 0, 0, 0.12) 0px 1px 1px 0px,
    rgba(61, 59, 53, 0.16) 0px 0px 0px 1px,
    rgba(61, 59, 53, 0.08) 0px 2px 5px 0px;
  border: 0px;
  border-radius: 8px;
  outline: none;
  background-color: rgb(255, 255, 255);
  color: rgb(55, 53, 47);
  caret-color: rgb(55, 53, 47);
}

input.input:focus,
input:focus-visible {
  box-shadow:
    rgba(58, 152, 255, 0.36) 0px 0px 0px 4px,
    rgba(61, 59, 53, 0.16) 0px 0px 0px 1px;
}

textarea.textarea {
  width: 100%;
  min-height: 8rem;
  padding: 9px 10px;
  box-shadow:
    rgba(0, 0, 0, 0.12) 0px 1px 1px 0px,
    rgba(61, 59, 53, 0.16) 0px 0px 0px 1px,
    rgba(61, 59, 53, 0.08) 0px 2px 5px 0px;
  border: 0px;
  border-radius: 8px;
  outline: none;
  background-color: rgb(255, 255, 255);
  color: rgb(55, 53, 47);
  caret-color: rgb(55, 53, 47);
  resize: none;
}

textarea.textarea:focus,
textarea:focus-visible {
  box-shadow:
    rgba(58, 152, 255, 0.36) 0px 0px 0px 4px,
    rgba(61, 59, 53, 0.16) 0px 0px 0px 1px;
}

button.btn {
  position: relative;
  cursor: pointer;
  transition:
    background-color 100ms ease-in-out,
    border-color 100ms ease-in-out,
    outline 100ms ease-in-out;
  line-height: 1;
  display: inline-flex;
  flex-shrink: 0;
  align-items: center;
  justify-content: center;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  overflow: hidden;
  transform: translateZ(0px);
  border: 0px;
  outline: none;
  outline-offset: -1px;
  height: 40px;
  font-size: 14px;
  border-radius: 7px;
  padding: 0px 1em;
  gap: 0.6em;
  background-color: transparent;
}

button.btn:focus,
button.btn:focus-within {
  outline: rgba(58, 152, 255, 0.36) solid 4px;
}

button.btn.btn-primary {
  background-color: #0085ff;
  color: #fff;
  font-weight: 500;
}
button.btn.btn-warning {
  background-color: #ffc107;
}

button.btn.btn-warning:hover {
  background-color: #daa300;
}

button.btn.btn-danger {
  background-color: #ff2f24;
  color: #fff;
  font-weight: 500;
}

button.btn.btn-danger:hover {
  background-color: #e46b56;
}
button.btn.btn-outline {
  box-shadow:
    rgba(0, 0, 0, 0.12) 0px 1px 1px 0px,
    rgba(61, 59, 53, 0.16) 0px 0px 0px 1px,
    rgba(61, 59, 53, 0.08) 0px 2px 5px 0px;
  color: rgb(55, 53, 47);
  font-weight: 500;
}

button.btn.btn-outline:hover {
  background-color: #e5e5e5;
}

button.btn.btn-sm {
  height: 30px;
  padding: 0 9px;
}

button.btn.btn-secondary {
  background-color: rgb(231 231 231);
  color: black;
  font-weight: 500;
}
button.btn-secondary:hover {
  background-color: rgb(171, 171, 171);
}
button.btn-full {
  width: 100%;
}

button.btn-primary:hover {
  background-color: rgb(0 109 210);
}
button.btn-black {
  background-color: rgb(0 0 0);
  color: #fff;
  font-weight: 500;
}

button.btn-black:hover {
  background-color: rgb(54 54 54);
}
button.btn.btn-success {
  background-color: #0a9480;
  color: #fff;
  font-weight: 500;
}

button.btn.btn-success:hover {
  background: #077c6b;
}
.text-secondary {
  color: #2d2d2d;
}
select.inp-select {
  width: 100%;
  height: 36px;
  padding: 0px 10px;
  box-shadow:
    rgba(0, 0, 0, 0.12) 0px 1px 1px 0px,
    rgba(61, 59, 53, 0.16) 0px 0px 0px 1px,
    rgba(61, 59, 53, 0.08) 0px 2px 5px 0px;
  border: 0px;
  border-radius: 8px;
  outline: none;
  background-color: rgb(255, 255, 255);
  color: rgb(55, 53, 47);
  caret-color: rgb(55, 53, 47);
}
/* The container */
.checkbox {
  display: block;
  position: relative;
  padding-left: 27px;
  margin-bottom: 12px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: #eee;
  overflow: hidden;
  border-radius: 5px;
}

/* On mouse-over, add a grey background color */
.checkbox:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.checkbox input:checked ~ .checkmark {
  background-color: #2196f3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkbox .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox .checkmark:after {
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTkuNzU1MDIgMTYuODAzNkw1LjIwNTAyIDEyLjQ0NTNDNC45MzE2NiAxMi4xODM1IDQuOTMxNjYgMTEuNzU5IDUuMjA1MDIgMTEuNDk3MUw2LjE5NDk0IDEwLjU0ODlDNi40NjgzIDEwLjI4NyA2LjkxMTU0IDEwLjI4NyA3LjE4NDkgMTAuNTQ4OUwxMC4yNSAxMy40ODQ4TDE2LjgxNTEgNy4xOTYzOEMxNy4wODg1IDYuOTM0NTQgMTcuNTMxNyA2LjkzNDU0IDE3LjgwNTEgNy4xOTYzOEwxOC43OTUgOC4xNDQ2MUMxOS4wNjgzIDguNDA2NDUgMTkuMDY4MyA4LjgzMDk4IDE4Ljc5NSA5LjA5Mjg1TDEwLjc0NSAxNi44MDM2QzEwLjQ3MTYgMTcuMDY1NSAxMC4wMjg0IDE3LjA2NTUgOS43NTUwMiAxNi44MDM2WiIgZmlsbD0id2hpdGUiLz4KPC9zdmc+Cg==);
}
